## stegseek 0.6+git20210910.ff677b9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(stegseek VERSION 0.6)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long")
endif()

add_subdirectory("src")

# Testing only available if this is the main app
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
  enable_testing()
  add_subdirectory(tests/steghide)
endif()

=== src/CMakeLists.txt ===
add_definitions(-DHAVE_DEV_URANDOM)
add_definitions(-DHAVE_DEV_RANDOM)
add_definitions(-DHAVE_TERMIOS_H)
add_definitions(-DVERSION="0.6")
add_definitions(-DSTEGHIDE_VERSION="0.5.1")

set (sources
	"Arg.cc"
	"Arguments.cc" 
	"AssertionFailed.cc" 
	"AuFile.cc"
	"AuSampleValues.cc"
	"BFSAPHeuristic.cc"
	"BinaryIO.cc"
	"BitString.cc"
	"BmpFile.cc"
	"BmpPaletteSampleValue.cc"
	"BmpRGBSampleValue.cc"
	"BmpSampleValue.cc"
	"Cracker.cc"
	"CvrStgFile.cc"
	"DFSAPHeuristic.cc"
	"DMDConstructionHeuristic.cc"
	"Edge.cc"
	"EdgeIterator.cc"
	"EmbData.cc"
	"Embedder.cc"
	"EncryptionAlgorithm.cc"
	"EncryptionMode.cc"
	"error.cc"
	"Extractor.cc"
	"Graph.cc"
	"JpegFile.cc"
	"JpegSampleValue.cc"
	"MatchingAlgorithm.cc"
	"Matching.cc"
	"MCryptPP.cc"
	"MHashKeyGen.cc"
	"MHashPP.cc"
	"msg.cc"
	"PasswordCracker.cc"
	"ProgressOutput.cc"
	"PseudoRandomSource.cc"
	"RandomSource.cc"
	"RGBTriple.cc"
	"SampleValueAdjacencyList.cc"
	"SampleValue.cc"
	"SeedCracker.cc"
	"Selector.cc"
	"Session.cc"
	"SMDConstructionHeuristic.cc"
	"SteghideError.cc"
	"Terminal.cc"
	"Utils.cc"
	"Vertex.cc"
	"WavChunk.cc"
	"WavChunkHeader.cc"
	"WavChunkUnused.cc"
	"WavFile.cc"
	"WavFormatChunk.cc"
	"WavPCMSampleValue.cc"
	"WKSConstructionHeuristic.cc"
)

file(GLOB headers
    "*.h"
)

add_library(stegseek_lib ${sources} ${headers})

set(CMAKE_CXX_FLAGS_RELEASE "-O2")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")

add_executable(stegseek main.cc)

install(TARGETS stegseek EXPORT stegseek DESTINATION bin)

target_link_libraries(stegseek PRIVATE stegseek_lib PUBLIC -lpthread -lz -lmcrypt -lmhash -ljpeg)

=== tests/steghide/CMakeLists.txt ===
file(GLOB sources
    "*.h"
    "*.cc"
)

add_definitions(-DHAVE_DEV_URANDOM)
add_definitions(-DHAVE_DEV_RANDOM)
add_definitions(-DHAVE_TERMIOS_H)

add_executable(teststeghide ${sources})
include_directories(teststeghide ${CMAKE_SOURCE_DIR}/src)

target_link_libraries(teststeghide PRIVATE stegseek_lib PUBLIC -lpthread -lz -lmcrypt -lmhash -ljpeg)

add_test(NAME LegacySteghideUnitTests COMMAND ${CMAKE_BINARY_DIR}/tests/steghide/teststeghide
	WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests/steghide)

=== debian/changelog ===
stegseek (0.6+git20210910.ff677b9-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Build-Depends: libjpeg62-turbo-dev -> libjpeg-dev (Closes: #1089021)
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/watch: Convert watch file to version 5 format.
  * d/copyright: Update copyright holders regarding Debian packaging.

 -- Sven Geuer <sge@debian.org>  Fri, 03 Oct 2025 21:44:40 +0200

stegseek (0.6+git20210910.ff677b9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 18 Jul 2023 19:19:23 +0000

stegseek (0.6+git20210910.ff677b9-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Update packaging copyright years.
  * Add override to dh_auto_test.
  * Update the search rule in debian/watch.
  * Update my email address.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 18 Jul 2023 13:28:50 +0000

stegseek (0.6+git20210910.ff677b9-1~exp1) experimental; urgency=medium

  * New upstream git snapshot version 0.6+git20210910.ff677b9.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 07 Oct 2021 13:10:16 +0000

stegseek (0.6-1~exp1) experimental; urgency=medium

  * New upstream version 0.6.
  * Drop debian/patches/001_fix-spelling-error.patch (applied upstream).

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 26 Jun 2021 02:34:11 +0000

stegseek (0.5-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #986340)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 03 Apr 2021 21:05:37 +0000

=== debian/control ===
Source: stegseek
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjpeg-dev,
               libmcrypt-dev,
               libmhash-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: https://github.com/RickdeJager/stegseek
Vcs-Browser: https://salsa.debian.org/pkg-security-team/stegseek
Vcs-Git: https://salsa.debian.org/pkg-security-team/stegseek.git

Package: stegseek
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Worlds fastest steghide cracker
 Stegseek is a lightning fast steghide cracker that can be used to extract
 hidden data from files. It is built as a fork of the original steghide
 project and, as a result, it is thousands of times faster than other
 crackers and can run through millions of passwords per second.
 .
 Stegseek can also be used to extract steghide metadata without a password,
 which can be used to test whether a file contains steghide data.

=== debian/tests/control ===
Test-Command: DICT=/usr/share/dict/words;
              JPG=${AUTOPKGTEST_TMP}/original-files/pic1/debian_logo.jpg;
              fsdeploy original-files;
              echo debian > secret.txt;
              stegseek --embed -ef secret.txt -cf ${JPG} -p "$(shuf -n1 $DICT)" -f;
              stegseek -f ${JPG} ${DICT}
Depends: forensics-samples-files,
         wamerican,
         @
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: RickdeJager
Project: stegseek
